ben simons

ben simons

About Me

Expertise
Not Specified
Location
Not Specified
Website

Connect

Recent Forum Posts

Houdini Scientific Application and Showcase March 25, 2020, 7:58 p.m.

The UTS Data Arena (Sydney Australia) has used Houdini for Data Viz since it opened in 2015.

Here's one example - the visualisation of bacteria. Images from a microscope (one per second)
were recorded and processed (Matlab) to locate and track bacteria, to better understand how
they travel (is it Stigmergy?) and communicate.

https://dataarena.net/projects/bacteria-life-sciences [dataarena.net]

There's more on the site. The Sydney Water pipe point-cloud was also processed in Houdini.

https://dataarena.net/projects/sydney-water-pipe [dataarena.net]

cheers,
ben.

License Server Keeps Asking to Install Aug. 19, 2014, 3:46 a.m.

fxrod
I got a reply from Side FX that works. Seems like my licenses list was pretty backlogged and was confusing the server. All I had to do was delete the licenses.local file under /Library/Preferences/sesi (please do not confuse this with path with /users/username/Library).

Installing the license then worked! Thanks, Silvina.
Yes, I just had the same problem. I'd install a new apprentice license and it
would already appear used (hkey shows 0/1 available).
Running Houdini would just go in circles with an offer to install another
apprentice license. Fail. There were a lot of old licenses, for sure.

It might be the OSX hostname changed. it now seems to be blah.local.local

Renaming “/Library/Preferences/sesi/licenses.local” to
“/Library/Preferences/sesi/licenses.local.19Aug14” & restarting sesinetd fixed it.
At first hkey is unhappy. Running HoudiniFX and choosing to install another
apprentice license creates a new license.local file. Then you're good to go.
Certainly, the new long SERVER code in the new license file is different..
hope that helps.

ubuntu 12.10 Feb. 26, 2014, 8:33 p.m.

Hi,

Houdini running in: Gentoo Linux: 3.10.25-gentoo x86_64

I've recently seen something similar in Houdini 13.0.314
  • $ houdini
    Warning: program compiled against libxml 209 using older 208
    Warning: program compiled against libxml 209 using older 208
    and with Houdini 12.5.483
    $ houdini
    ./hbrowser-bin: /opt/hfs12.5.483/python/lib/libz.so.1: version `ZLIB_1.2.3.4' not found (required by /usr/lib/libpng16.so.16)
    Warning: program compiled against libxml 209 using older 207
    Warning: program compiled against libxml 209 using older 207
    Warning: program compiled against libxml 209 using older 207
    ./hbrowser-bin: /opt/hfs12.5.483/python/lib/libz.so.1: version `ZLIB_1.2.3.4' not found (required by /usr/lib/libpng16.so.16)
    Gentoo is linux built from source.
    libxml has been compiled with the following flags:
    # emerge -pv libxml2

    These are the packages that would be merged, in order:

    Calculating dependencies… done!
    dev-libs/libxml2-2.9.1-r1:2 USE=“icu ipv6 python readline -debug -examples -lzma -static-libs {-test}” PYTHON_TARGETS=“python2_7 python3_3 -python2_6 -python3_2” 0 kB
    This gentoo “emerge” command indicates libxml2 (version 2-2.9.1) has been compiled for python targets 2.7 and 3.3 (and not 2.6 or 3.2)

    Following a post by Neil78 http://www.sidefx.com/index.php?option=com_forum&Itemid=172&page=viewtopic&t=29185&highlight=libxml [sidefx.com] referencing a Wolfwood post I tried setting houdini environment vars:
    $ export HOUDINI_PYTHON_BIN=/opt/hfs13.0.314/python/bin/python2.7
    $ export HOUDINI_PYTHON_LIB=/opt/hfs13.0.314/python/lib/libpython2.7.so
    $ houdini
    $ Warning: program compiled against libxml 209 using older 208
    Warning: program compiled against libxml 209 using older 208
    Warning: program compiled against libxml 209 using older 208
    still there. Same is true if HOUDINI_PYTHON var's are set to python2.6

    Checking what libxml is installed with houdini:
    $ cd /opt/hfs13.0.314
    $ find . -iname ‘*libxml*’
    ./python/lib/libxml2.so.2.8.0
    ./python/lib/libxml2.so.2
    ./python/lib/libxml2.so
    ./dsolib/libxml2.so.2.8.0
    ./dsolib/libxml2.so.2
    ./dsolib/libcollada_LIBXMLPlugin.so
    ./dsolib/libxml2.so
    ./mozilla/components/libxmlextras.so
    ./toolkit/include/libxml
    ./houdini/help/licenses/libxml2.html
    ./houdini/help/licenses/libxml2.txt
    ./hsvg/libxml2.so.2.8.0
    ./hsvg/libxml2.so.2
    ./hsvg/libxml2.so
    It looks like the libxml shipped with Houdini 13.0.314 is “208” not “209” (?)

    b.